@echo off
REM 
REM @(#) cpinstd.cmd:  Applies the Patch_1.1.1002 files to your Tivoli_Basedir directory. 
REM                    This patch is only applicable to certain TSNM V1.1.0 (RTM) versions
REM                    Apply this patch if the Uninstall Button on the PTF1 Install program 
REM                    is greyed out.
REM 
REM Specify the TKS root directory as input.
REM Example: "cpinstd C:\Tivoli"

setlocal
If "%1%" == "-R" set REDIRECTED=TRUE
If "%1%" == "-R" shift 

:setup
REM Perform the checks necessary to do the setup.
if "%1%" == "" (
   if "%TKS_BASEDIR%" == "" goto noparm
)

if NOT "%1%" == "" (
  set TIVOLIDIR=%1%
  ) ELSE (
  set TIVOLIDIR=%TKS_BASEDIR%
)

if NOT EXIST "%TIVOLIDIR%" echo "%TIVOLIDIR%" does not exist
if NOT EXIST "%TIVOLIDIR%" goto noparm
if "%REDIRECTED%"=="TRUE" goto main_logic

if not exist "%TIVOLIDIR%\Apps" mkdir "%TIVOLIDIR%\Apps"
if not exist "%TIVOLIDIR%\Apps\TSNM" mkdir "%TIVOLIDIR%\Apps\TSNM"
call cpinstd -R %1 > "%TIVOLIDIR%\Apps\TSNM\cpinstd.log" 2>&1
type "%TIVOLIDIR%\Apps\TSNM\cpinstd.log"
goto end

:main_logic
if EXIST "%TIVOLIDIR%\Apps\TSNM\Install\install.dat" (
  echo File "%TIVOLIDIR%\Apps\TSNM\Install\install.dat" already exists. Quiting!
  goto end
)

if NOT EXIST install.dat (
  echo Error: no install.dat in current directory. Quiting!
  goto end
)

echo Checking for "%TIVOLIDIR%\Apps\TSNM\Install"
if NOT EXIST "%TIVOLIDIR%\Apps" mkdir "%TIVOLIDIR%\Apps"
if NOT EXIST "%TIVOLIDIR%\Apps\TSNM" mkdir "%TIVOLIDIR%\Apps\TSNM"
if NOT EXIST "%TIVOLIDIR%\Apps\TSNM\Install" mkdir "%TIVOLIDIR%\Apps\TSNM\Install"
copy install.dat "%TIVOLIDIR%\Apps\TSNM\Install\install.dat"

goto end

:noparm
echo Incorrect parameter specified.
echo .
echo The required parameter specifies the drive:\directory 
echo    where Tivoli Kernel Services is installed.
echo    Example: cpinstd C:\Tivoli
goto end

:end
endlocal
